searchData={"content_type":"text/markdown","items":[{"doc":"Documentation for `KinoProgressBar`.","ref":"KinoProgressBar.html","title":"KinoProgressBar","type":"module"},{"doc":"Create a new progress bar.","ref":"KinoProgressBar.html#new/2","title":"KinoProgressBar.new/2","type":"function"},{"doc":"* `range`: The range of values for the progress bar.  Defaults to\n`{0, 100}`.\n\n* `current`: Current value.  Defaults to 0.\n\n* `width`: The width of the progress bar in pixels.  Defaults to\n600.\n\n* `format_current`: How to display the current value.  Defaults to\nappending a percent symbol.\n\n* `color`: The color scheme for the current bar.  Defaults to\n`:blue`.  Possible values: `:red`, `:blue`, `:gray`, `:green`,\n`{:color, CSS_COLOR_STRING}`.\n\n* `throttle`: Elixir can handle 10_000 messages per second without\n  issue, but browsers react poorly if you try to update the DOM\n  10_000 times per second.  So, this kino throttles the rate at\n  which client updates are sent to at most one every `throttle`\n  milliseconds.  The default is 500, so at most two updates are sent\n  per second.","ref":"KinoProgressBar.html#new/2-options","title":"Options: - KinoProgressBar.new/2","type":"function"},{"doc":"Update the current value of the progress bar.\n\nThis is throttled per the `throttle` parameter set when the progress\nbar was created.","ref":"KinoProgressBar.html#set_current/2","title":"KinoProgressBar.set_current/2","type":"function"},{"doc":"# KinoProgressBar\n\n> Progress bar widget for [Livebook](https://livebook.dev)","ref":"readme.html","title":"KinoProgressBar","type":"extras"},{"doc":"Create a new progress bar with `KinoProgressBar.new/2` and update it\nwith `KinoProgressBar.set_current/2`.\n\n![example1.jpg](example1.jpg)\n\nFeatures:\n\n- configurable range,\n- configurable color,\n- throttled client updates\n\nSee [the\ndocs](https://hexdocs.pm/kino_progress_bar/KinoProgressBar.html) for\nmore details.","ref":"readme.html#usage","title":"Usage - KinoProgressBar","type":"extras"},{"doc":"Add the following to the dependencies section of your notebook:\n\n```elixir\nMix.install([\n  {:kino_progress_bar, \"~> 0.1.0\"}\n])\n```","ref":"readme.html#installation","title":"Installation - KinoProgressBar","type":"extras"}]}